
    <div class="pt-3 pb-1" id="breadcrumbs-wrapper">
      <!-- Search for small screen-->
      <div class="container">
        <div class="row">
          <div class="col s12 m6 l6">
            <h5 class="breadcrumbs-title mt-0 mb-0"><span>Diagnostiques</span></h5>
          </div>
          <div class="col s12 m6 l6 right-align-md">
            <ol class="breadcrumbs mb-0">
              <li class="breadcrumb-item"><a [routerLink]="['/DashbordVoiture']">Acceuil</a>
              </li>
              <li class="breadcrumb-item">Configurations
              </li>
              <li class="breadcrumb-item active">Diagnostiques
              </li>
            </ol>
          </div>
        </div>
      </div>
    </div>
   
        <div class="section section-data-tables">

<!-- Page Length Options -->
<div class="row">
<div class="col s12">
  <div class="card">
    <div class="card-content">
     <a class=" modal-trigger" href="#modal1" (click)="initi()">
     <button class="btn cyan waves-effect waves-light right" type="submit" name="action">Ajouter
        <i class="material-icons right">add</i>
      </button>
      </a>

      <h4 class="card-title">Liste des Diagnostiques</h4>
    
      <br/>
      <div class="row">
        <div class="col s12">
          <table id="page-length-option" class="display">
            <thead>
              <tr>
                <th>Immatricule</th>
                <th>Description</th>
                <th>carage</th>
                <th>Date </th>
                <th>Prix </th>               
                <th>Action</th>
            
              </tr>
            </thead>
            <tbody>
              <tr *ngFor="let d of diagnostiques; index as i;">
                
                <td>{{d.voitureImmatricule}}</td>
                <td>{{d.description}}</td>
                <td>
                  <div *ngFor="let g of garages">
                    <div *ngIf="d.GarageId === g.id">
                      {{g.nom}}  
                    </div>
                  </div>
                </td>
                <td>{{d.date}}</td>
                <td>{{d.prix}}</td>
                <td>

                  
                  



                  <a class='dropdown-trigger' href='#' [attr.data-target]="'dropdown' + i">
                    <i class="material-icons">arrow_drop_down</i>
                  </a>
                  <ul id='dropdown{{i}}' class='dropdown-content' >
                  <li><a class="modal-trigger" (click)="getOne(d.id)" href="#modal2">Modifier</a></li>
                  <li><a class="modal-trigger" (click)="delete(d.id)">Supprimper</a></li>
               
                  </ul>
                </td>
              
              
             
            </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
</div>
</div>

<div id="modal1" class="modal" >
 <form #f="ngForm" (ngSubmit)="save(f.value)">
<div class="modal-content" >
 <h5>Ajouter un Diagnostique</h5>
 <br>
<div class="row">
  <div class="input-field col m6 s12">
    <label for="name2" class="active">Immatricule*</label>

    <select  searchable='Liste de Voiture' id="xxxx" name="voitureImmatricule" #name="ngModel" [(ngModel)]="diagnostique.voitureImmatricule" required>
      <option *ngFor="let v of voitures" [value]="v.immatricule">
        {{v.immatricule}}
       </option>
  </select>
 </div>

 <div class="input-field col m6 s12">
  <label for="nbrporte" class="active">Carage*</label>
  <select  searchable='Liste de garage' id="xxxx" name="carage" #carage="ngModel" [(ngModel)]="diagnostique.carage" required>
    <option *ngFor="let g of garages" [value]="g.id">
      {{g.nom}}
     </option>
</select>
</div>
</div>


 <div class="row">
 
  <div class="input-field col m6 s12">
    <input type="text" class="validate" name="prix" #prix="ngModel" [(ngModel)]="diagnostique.prix" required>
      <label for="nbrporte">Prix* </label>
      <small  class="errorTxt1" *ngIf="prix.touched  &&  prix.invalid" ><div id="uname-error" class="error">saisir votre prix</div></small>

  </div>
  <div class="input-field col m6 s12">
    <input type="date" class="validate" name="date" #date="ngModel" [(ngModel)]="diagnostique.date" required>
    <label for="nbrporte">Date* </label>
    <small  class="errorTxt1" *ngIf="date.touched  &&  date.invalid" ><div id="uname-error" class="error">saisir votre date</div></small>

</div>
</div>

<div class="row">
  
  <div class="input-field col  s12">
    <textarea id="textarea1"  class="materialize-textarea validate" name="description" #description="ngModel" [(ngModel)]="diagnostique.description" required>

    </textarea>
    <label for="textarea1">Description*</label>
    <small  class="errorTxt1" *ngIf="description.touched  &&  description.invalid" ><div id="uname-error" class="error">saisir votre description</div></small>

</div>
  
</div>


</div>
<div class="input-field col m12 s12">
<div class="modal-footer">
  <button [disabled]="f.invalid" class="btn cyan waves-effect waves-light right" type="submit" name="action">Valider
     <i class="material-icons right">send</i>
   </button>
</div>
</div>
</form>
</div>




<div id="modal2" class="modal" style="width: 40%;">
  <form #fu="ngForm" (ngSubmit)="update(fu.value)">
 <div class="modal-content" >
  <h5>Modifier un Diagnostique</h5>
  <br>
 <div class="row">
   <div class="input-field col  s12">
     <label  class="active">Immatricule</label><br/>
 
     <input   type="text" name="voitureImmatricule" #name="ngModel" [(ngModel)]="diagnostique.voitureImmatricule" disabled>
  </div>
 </div>
 
 
  <div class="row">
 
   <div class="input-field col m6 s12">
    <label for="prix">Prix </label><br/>
     <input type="text" name="prix" #name="ngModel" [(ngModel)]="diagnostique.prix" required>
   </div>
   <div class="input-field col m6 s12">
    <label for="nbrporte">Date </label><br/>
       <input type="date" name="date" #name="ngModel" [(ngModel)]="diagnostique.date" required>
   </div>
 </div>
 
 <div class="row">
  
   <div class="input-field col  s12">
    <label for="textarea1">Description</label><br/>
     <textarea id="textarea1" class="materialize-textarea" name="description" #name="ngModel" [(ngModel)]="diagnostique.description" required>
 
     </textarea>
 </div>
   
 </div>
 
 
 </div>
 <div class="input-field col m12 s12">
 <div class="modal-footer">
   <button class="btn cyan waves-effect waves-light right" type="submit" name="action">Valider
      <i class="material-icons right">send</i>
    </button>
 </div>
 </div>
 </form>
 </div>
  
</div><!-- START RIGHT SIDEBAR NAV -->

